{% extends "bandeau.html" %}
{% block main %}
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='eleve.css') }}">
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='el-reserver-cours.css') }}">
<title> Reserver un Cours </title>
<body>
    <h1> RESERVER UN COURS </h1>
    <div id="recherche">
        <form id ="tfrecherche" action="{{url_for('recherche_cours_date', id=el.idEl)}}" method="post">
            <input id="tfrech" type="date" placeholder="JJ/MM/YYYY" name="recherche">
            <input id="recherc" class="bouton" type="submit" value="Recherche">
        </form>
        <form action="{{url_for('el_reserver_cours', id=el.idEl)}}" method="post">
            <input id="reservercours" class="bouton" type="submit" value="Annuler la recherche">
        </form>
    </div>
    <div id="tableau">
        <table>
            {% if req ==0 %}
            <tr>
                <td> Il n'y a pas de cours pour cette date </td>
            </tr>
            {% else %}
                <thead>
                    <tr>
                        <th> Date </th>
                        <th> Duree (h)</th>
                        <th> Activite </th>
                        <th> Moniteur </th>
                        <th> Prix </th>
                    </tr>
                </thead>
                <tbody>
                    {% for ELEVE, RESERVATION, COURS, PONEY, MONITEUR in req %}
                        <tr>  
                            <td> {{ COURS.date }} </td>
                            <td> {{ COURS.duree }} </td>
                            <td> {{ COURS.activite }} </td>
                            <td> {{ MONITEUR.nomMo }} {{ MONITEUR.prenomMo }}</td>
                            <td> {{ COURS.prixCours }} </td>
                            <td>
                                <form action="{{url_for('el_choisir_cours', idEl=el.idEl, idC=COURS.idC)}}" method="post">
                                    <input id="payer" class="bouton" type="submit" value="Choisir le Cours">
                                </form>
                            </td>
                        </tr>
                    {% endfor %}
                </tbody>
            {% endif %}
        </table>
    </div>
</body>
{% endblock %}
<!-- 
AIDE
parcours boucle 
{% for result in results %}
    <tr>
        <td>{{ result[0] }}</td>
        <td>{{ result[1] }}</td>
        <td>{{ result[2] }}</td>
    </tr>
{% endfor %}
is not et compagnie
https://docs.sqlalchemy.org/en/20/core/operators.html -->